## nagios-plugins-contrib 9.20140106

=== check_ipmi_sensor/Makefile ===
#/usr/bin/make -f

DOCFILES = contrib/default-combinedgraph.template

include ../common.mk

=== check_ssl_cert/check_ssl_cert-1.15.0/Makefile ===
PLUGIN=check_ssl_cert
VERSION=`cat VERSION`
DIST_DIR=$(PLUGIN)-$(VERSION)
DIST_FILES=AUTHORS COPYING ChangeLog INSTALL Makefile NEWS README TODO VERSION $(PLUGIN) $(PLUGIN).spec COPYRIGHT ${PLUGIN}.1 test

dist: version_check
	rm -rf $(DIST_DIR) $(DIST_DIR).tar.gz
	mkdir $(DIST_DIR)
	cp -r $(DIST_FILES) $(DIST_DIR)
	tar cfz $(DIST_DIR).tar.gz  $(DIST_DIR)
	tar cfj $(DIST_DIR).tar.bz2 $(DIST_DIR)

install:
	mkdir -p $(DESTDIR)
	install -m 755 $(PLUGIN) $(DESTDIR)
	mkdir -p ${MANDIR}/man1
	install -m 644 ${PLUGIN}.1 ${MANDIR}/man1/

version_check:
	VERSION=`cat VERSION`
	grep -q "VERSION\ *=\ *[\'\"]*$(VERSION)" $(PLUGIN)
	grep -q "^%define\ version\ *$(VERSION)" $(PLUGIN).spec
	grep -q -- "- $(VERSION)-" $(PLUGIN).spec
	grep -q "\"$(VERSION)\"" $(PLUGIN).1
	grep -q "${VERSION}" NEWS
	echo "Version check: OK"

clean:
	rm -f *~

test:
	( cd test && ./unit_tests.sh )

.PHONY: install clean test

# File version information:
# $Id: AUTHORS 1103 2009-12-07 07:49:19Z corti $
# $Revision: 1103 $
# $HeadURL: https://svn.id.ethz.ch/nagios_plugins/check_updates/AUTHORS $
# $Date: 2009-12-07 08:49:19 +0100 (Mon, 07 Dec 2009) $

=== debian/control ===
Source: nagios-plugins-contrib
Section: net
Priority: extra
Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
Uploaders: Bernd Zeimetz <bzed@debian.org>, Jan Wagner <waja@cyconet.org>
Build-Depends: debhelper (>= 8.0.0), python, python-debian, quilt (>= 0.46-7), autotools-dev,  autotools-dev, flex, libmemcached-dev, libvarnishapi-dev, pkg-config
Standards-Version: 3.9.4
Vcs-Git: git://git.debian.org/pkg-nagios/pkg-nagios-plugins-contrib
Vcs-Browser: http://git.debian.org/?p=pkg-nagios/pkg-nagios-plugins-contrib;a=summary

Package: nagios-plugins-contrib
Architecture: any
Depends: ${misc:Depends}
Recommends: ${shlibs:Depends}, ${python:Depends}, libsocket-perl, libnagios-plugin-perl, libnet-snmp-perl, whois, nagios-plugins-basic, libnet-dns-perl, libdate-manip-perl, libnagios-plugin-perl (>= 0.31), libnet-cups-perl, libio-socket-ssl-perl, libmail-imapclient-perl, libnet-smtp-tls-perl, libnet-ssleay-perl, python, liblocale-gettext-perl, liblwp-useragent-determined-perl, snmp, freeipmi-tools, libipc-run-perl, lsof, libyaml-syck-perl, python-pymongo, libdbd-mysql-perl, libreadonly-perl, libnet-snmp-perl (>= 5), libtimedate-perl, openssl, libwebinject-perl, libnet-dns-sec-perl, ruby | ruby-interpreter, ${perl:Depends}
Suggests: backuppc, perl-doc, cciss-vol-status, mpt-status, smstools (>= 3~), expect, nagios-plugin-check-multi, moreutils
Enhances: nagios-plugins, nagios-plugins-basic, nagios-plugins-standard
Description: Plugins for nagios compatible monitoring systems
 This package provides various plugins for Nagios compatible monitoring
 systems like Nagios and Icinga.
 It contains the following plugins:
 .
   * check_ajp (1): plugin to monitor the AJP ping response time
     Should work with all application servers (Tomcat, JBoss,....)
     which provide an AJPv13 connector.
   * check_backuppc (1.1.0): plugin for checking on the status of
     BackupPC backups
   * check_bgpstate (1.0): plugin to check all BGP session on Cisco routers
   * check_checksums (20130611): plugin to verify file checksums
     against (local, not 100% secure) lists.
     Supports md5 sha1 sha224 sha256 sha384 sha512 checksums.
   * check_clamav (1.2): plugin to check for clamav signature freshness
     This script is used to compare the version and signature
     level of the currently running clamd daemon with the latest
     available versions listed in the TXT record for
     current.cvd.clamav.net.
   * check_cups (0.2): plugin to check queues on a remote CUPS server
     This plugin is monitoring of queues on a remote CUPS server,
     which means that it doesn't need to be installed on the print
     server and run via NRPE.
   * check_drbd (0.5.3): plugin to check DRBD device states
     This plugin is for checking DRBD device states. It parses the
     /proc/drbd device and analyses the output.
   * check_email_delivery (0.7.1b): plugin to monitor email delivery
     Some typical uses of this plugin include:
       - check SMTP server
       - check messages and quota on IMAP server
       - check email delivery loop
       - check auto-responder function
       - keep an eye on email lag
       - monitor automated mailboxes
       - check email-to-FTP or other special email gateways
   * check_graphite: Plugin to monitor graphite metrics
   * check_haproxy (rev135): plugin check the HAProxy statistics url
   * check_hpasm (4.6.3.2): plugin to check the hardware health of
     HP Proliant Servers
     It either uses snmp or - if installed - the hpasm package locally.
     The plugin checks the health of
       * Processors
       * Power supplies
       * Memory modules
       * Fans
       * CPU- and board-temperatures
       * Raids
     and alerts you if one of these components is faulty or operates
     outside its normal parameters.
   * check_httpd_status (rev140): plugin checking Apache or Lighthttpd
     server-status page (using mod_status)
   * check_ipmi_sensor (3.1): IPMI Sensor Monitoring Plugin
     Plugin to monitor the hardware status (fan speed, temperaturs,
     voltages, power usage, ...) of a server using IPMI.
   * check_libs (520): plugin to report the usage of no longer existing
     libraries by running processes
   * check_lm_sensors (3.1.1): plugin to monitor hardware sensors
     and disk temperatures
   * check_memcached (1.3): plugin to check memcached instances
     It will give a critical message if a partiular memcached host is
     inaccessible and generate a warning if the hit/miss ratio falls
     below a given threshold or the number of evictions exceeds a given
     limit.
     Hit/miss and evictions are measured over a 30 minute interval,
     using a memcached object to store the earlier statistics.
   * check_memory (1.0): plugin to check for free memory
     This plugin excludes the system cache and buffer, because
     on some system with very stable memory usage it is perfectly
     normal for system cache to fill in all available memory.
   * check_mongodb (b14ad3ef17): Plugin script to monitor your MongoDB server(s)
   * check_multipath (0.1.9): plugin to monitor the number of available and
     failed paths of multipath devices
   * check_mysql_health (2.1.8.2): plugin to check various parameters of a
     MySQL database
   * check_nfsmounts: checks whether there are stale NFS mounts on the host
   * check_printer: plugin to check printer supply levels using SNMP
     It outputs performance data for all supplies
     found, for example toner and drum.
   * check_raid (3.0.5): plugin to check sw/hw RAID status
     The plugin looks for any known types of RAID configurations,
     and checks them all.
     .
     Supports:
     - Adaptec AAC RAID via aaccli or afacli or arcconf
     - AIX software RAID via lsvg
     - HP/Compaq Smart Array via cciss_vol_status (hpsa supported too)
     - HP Smart Array Controllers and MSA Controllers via hpacucli
     - HP Smart Array (MSA1500) via serial line
     - Linux 3ware SATA RAID via tw_cli
     - Linux Device Mapper RAID via dmraid
     - Linux DPT/I2O hardware RAID controllers via /proc/scsi/dpt_i2o
     - Linux GDTH hardware RAID controllers via /proc/scsi/gdth
     - Linux LSI MegaRaid hardware RAID via CmdTool2
     - Linux LSI MegaRaid hardware RAID via megarc
     - Linux LSI MegaRaid hardware RAID via /proc/megaraid
     - Linux MegaIDE hardware RAID controllers via /proc/megaide
     - Linux MPT hardware RAID via mpt-status
     - Linux software RAID (md) via /proc/mdstat
     - LSI Logic MegaRAID SAS series via MegaCli
     - LSI MegaRaid via lsraid
     - Serveraid IPS via ipssend
     - Solaris software RAID via metastat
     - Areca SATA RAID Support via cli64/cli32
   * check_rbl (1.3.1): plugin to check if a server is blacklisted
   * check_smstools: plugin to check GSM Modems using smstools
     check_smstools is a plugin to monitor a GSM modem
     signal quality and registration status with smstools.
   * check_snmp_environment (0.7): plugin to check various hardware statuses
     Using snmp the plugin is able to retrieve Fan, power-supply,
     voltage, temperature, card and module status and various other
     information from Cisco, Nokia, Blue Coat, IronPort,
     Foundry Network, Linux (using lm-sensors), Extreme Networks,
     Juniper Networks, HP ProCurve, Netscreen, Citrix NetScaler
     and Transmode Systems hardware.
   * check_snmp_time (1.1): plugin to check the time on a server using SNMP
     This plugin queries the remote systems time through SNMP and compares
     it against the local time on the Nagios server. This identifies systems
     with no correct time set and sends alarms if the time is off to far.
     HOST-RESOURCES-MIB::hrSystemDate.0 used here returns 8 or 11 byte octets.
     SNMP translation needs to be switched off and we need to convert the
     received SNMP data into readable strings.
   * check_ssl_cert (1.15.0): plugin to check the CA and validity of an
     X.509 certificate
   * check_v46 (2013-08-26T07:33:11Z): ipv4/ipv6 Nagios plugin wrapper
     Nagios plugin wrapper for running the actual plugin for both / either of
     IPv6 and/or IPv4.  The worst result of the actual plugin runs will be
     the wrapper return value, that is, result will be OK only if all checks
     returned OK.  Compatible with any plugin with standard command line options
     -6/-4.
   * check_varnish (1.1): plugin to monitor varnish instances
   * check_webinject (1.80): plugin for testing web services
     It uses the WebInject Perl module for automated testing of
     web applications and web services. It can be used to check
     individual system components that have HTTP interfaces
     (JSP, ASP, CGI, PHP, AJAX, Servlets, HTML Forms,
     XML/SOAP Web Services, REST, etc).
   * check_whois (1.14): plugin to check for the expiration of a domain.
     The plugin may not yet work with all registrars, since their
     output formats differ or there is no expiration date in the
     whois output.
   * check_zone_auth (1.13): plugin to ensure that the authoritative nameservers
     for a given zone remain in sync.
   * check_zone_rrsig_expiration (1.10): plugin to check for expiration of
     signatures in dnssec-enabled zones.
   * dsa: plugins from the Debian System Administrators
     nagios plugins repository.
     * check_cert_expire: check for certificate expiration
       using openssl on the certificate file
     * check_dnssec_delegation: check for correct DNSSEC
       delegation
     * check_entropy: check if there is enough entropy available.
     * check_packages: replacement for check_apt; needs a cronjob
       to update the apt database regularily
     * check_running_kernel: check if a system was rebooted after
       a kernel upgrade
     * check_soas: check SOA records
     * check_statusfile: deliver the content of a status file
       as check result
   * extras (1): various scripts and extras
     Not a plugin, but a collection of various useful
     event/obsession handlers and similar scripts.
 .
 Some scripts and binaries need more packages installed to work, which is
 implemented as recommends.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

PLUGINS := $(shell find $(CURDIR) -mindepth 1 -maxdepth 1 -name .git -prune -o -name .pc -prune -o -name debian -prune -o -type d -printf '%f\n' | sort)
PKGNAME = nagios-plugins-contrib

%:
	dh $@ --with quilt,python2,autotools_dev --parallel

# Here follows a small shell snipped to call dh_auto_* for all plugins
# Currently
# - if a Makefile exists in the plugin directory
#   we run dh_auto_$(1) with -O--sourcedirectory="$$plugin"
# - if $${plugin}/src exists, we run dh_auto_$(1) on that directory
# - else: fail :)
DH_AUTO_CALL = 	if [ "$$auto_command" == "dh_auto_configure" ]; then \
		    export options="$$options -- --enable-stack-protector" ;\
		fi ;\
		if [ -f $(CURDIR)/$$plugin/Makefile ]; then \
			$$auto_command -O--sourcedirectory="$${plugin}" $$options; \
		elif [ -d $(CURDIR)/$$plugin/src ]; then \
			$$auto_command -O--sourcedirectory="$${plugin}/src" $$options; \
		else \
			echo failed to build $$plugin; exit 255 ; \
		fi

PACKAGING_HELPER = /usr/bin/python $(CURDIR)/debian/packaging-helper.py


clean: $(PLUGINS:%=clean-%) debian/copyright debian/control
	dh $@ --with quilt,python2,autotools_dev --parallel
	rm -f debian/$(PKGNAME).install
	rm -f debian/README.Debian.plugins

clean-%:
	rm -rf debian/$*

dh_auto_install-%:
	# run dh_auto_install to debian/$plugin
	set -e ;\
	    export auto_command="dh_auto_install" ;\
	    export plugin="$*" ;\
	    export options="--destdir=debian/$*" ;\
	    $(DH_AUTO_CALL)
	if [ -d debian/$*/usr/lib/$(PKGNAME) ]; then \
	    mkdir -p debian/$*/usr/lib/nagios ;\
	    mv debian/$*/usr/lib/$(PKGNAME) debian/$*/usr/lib/nagios/plugins ;\
	fi
	# add files to debian/$(PKGNAME).install
	set -e; find debian/$* -type f -printf '%h\n' | sort -u  |\
	    while read dir; do \
	        echo "$$dir/* `echo $$dir | sed 's,debian/$*/,,'`" ;\
	    done >> debian/$(PKGNAME).install
	# create shlibdeps for the plugin into a temp file
	set -e; \
	   opts=`find debian/$* -type f -exec file {} \; |\
	   grep -E ' ELF ' |\
	   sed 's,:.*,,;s,^,-e,' |\
	   tr '\n' ' '` ;\
	   if [ -n "$$opts" ]; then \
	   	dpkg-shlibdeps -O $$opts | grep shlibs:Depends > debian/$*/substvars ;\
	   fi
       
dh_auto_%:
	set -e; \
	    export auto_command=`echo $* | sed 's,-.*,,;s,^,dh_auto_,'` ;\
	    export plugin=`echo $* | sed 's,.*-,,'` ;\
	    $(DH_AUTO_CALL)


override_dh_auto_build: $(PLUGINS:%=dh_auto_build-%)

override_dh_auto_clean: $(PLUGINS:%=dh_auto_clean-%)

override_dh_auto_configure: $(PLUGINS:%=dh_auto_configure-%)

override_dh_auto_install: $(PLUGINS:%=dh_auto_install-%)
	$(PACKAGING_HELPER) --generate-readme

#override_dh_auto_test: $(PLUGINS:%=dh_auto_test-%)
override_dh_auto_test: 
	# nothign to do right now.

override_dh_python2:
	dh_python2
	dh_python2 usr/lib/nagios/plugins usr/lib/nagios/cronjobs

CONTROL_FILES := $(shell for p in $(PLUGINS); do echo $$p/control; done)
COPYRIGHT_FILES := $(shell for p in $(PLUGINS); do echo $$p/copyright; done)
debian/copyright: debian/copyright.in debian/packaging-helper.py $(CONTROL_FILES) $(COPYRIGHT_FILES)
	$(PACKAGING_HELPER) --copyright
	-if [ -d .git ]; then git add $@; git commit -m 'Auto update of $@' $@; fi

debian/control: debian/control.in debian/packaging-helper.py $(CONTROL_FILES)
	$(PACKAGING_HELPER) --control
	-if [ -d .git ]; then git add $@; git commit -m 'Auto update of $@' $@; fi


watch:
	@$(PACKAGING_HELPER) --watch

.PHONY: watch override_dh_auto_build override_dh_auto_clean override_dh_auto_configure override_dh_auto_install override_dh_auto_test

## nagios-plugins-contrib 10.20140427~bpo70+1

=== check_lm_sensors/Makefile ===
#/usr/bin/make -f

PLUGIN = src/check_lm_sensors
MANPAGES = check_lm_sensors.7
DOCFILES = src/README
CLEANFILES = check_lm_sensors.7

include ../common.mk


check_lm_sensors.7: src/check_lm_sensors.pod
	pod2man -s 7 $< > $@

=== debian/changelog ===
nagios-plugins-contrib (10.20140427~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Jan Wagner <waja@cyconet.org>  Sun, 18 May 2014 11:59:14 +0200

nagios-plugins-contrib (10.20140427) unstable; urgency=medium

  [ Jan Wagner ]
  * [0029d09d] check_email_delivery: Use full binary path instead of $ macro in command definition

  [ Evgeni Golov ]
  * [1028de53] use = instead of == in shell comparisons
    fixes
     /bin/sh: 4: [: dh_auto_clean: unexpected operator
    for /bin/sh != /bin/bash

  [ Bernd Zeimetz ]
  * [6bc6ae0e] Merge pull request #39 from evgeni/no-bashisms
    use = instead of == in shell comparisons

  [ Jan Wagner ]
  * [92a64933] check_raid: Update to latest git version
  * [646ae3cf] check_ssl_cert: Update to 1.16.0
  * [5810c290] check_whois: Update to 1.15
  * [62ed2f18] check_httpd_status: Update to rev148
  * [b5c5becf] check_mongodb: Update copyright file.
    Include full copyright to make lintian happy.
  * [64e5aa8b] check_mysql_health: Update copyright file.
    Add reference to GPL license file
  * [ab9066d2] check_hpasm: Update copyright file.
    Add reference to GPL license file
  * [a0a47d2a] check_memory: Update copyright file.
    Update FSF address
  * [0bbd4521] check_rbl: Update copyright file.
    Cosmetical changes
  * [0f533e19] Add '--with autoreconf' to dh calls (Closes: #727468)
      - Build-depend on dh-autoreconf
      - Add check_varnish/automake_foreign patch
      - Specify autoreconf (sub-)dirs in debian/autoreconf
  * [19c052cc] check_multipath: Update to 0.2.0
  * [5c94f9c5] Add Travis-CI configuration

  [ Stanislav German-Evtushenko ]
  * [b04bdeb0] check_drbd: add check for oos and cosmetic.
    1) add check for out of sync sectors (report WARNING for non-zero value)
    2) cosmetic: sort device list while processing
  * [13ace27b] small fix: oos is in KiB and not sectors

  [ Jan Wagner ]
  * [bc434662] check_mongo: Update to latest git version
  * [dbd5989c] check_raid: Update to latest git version
  * [3100e689] check_ssl_cert: Update to 1.16.1 (No source changes)
  * [a7e727c8] check_raid: Update to latest git version (Closes: #742877)
  * [8fcc4d95] check_ssl_cert: Update to 1.16.1 (No source changes)
  * [1d17b5da] Update VCS-* field to uncanonical URI
  * [5529d605] check_memory: Update to new upstream source
  * [18a708fb] check_memory: Update to version 1.0.1
  * [b88fd4ae] check_snmp_time: Preventing to use first person in package description
  * [dfbe25c3] Merge 0f533e1959 and f4cc012a82 into debian/control.in
  * [5a2dff52] Updating debian/copyright and debian/control
  * [dfb170cb] Updating standards version to 3.9.5, no changes needed

  [ Bernd Zeimetz ]
  * [6af00ac0] Merge pull request #43 from giner/patch-1
    check_drbd: add check for oos and cosmetic
  * [f5deb224] Move b04bdeb025c77e34fdf8ed9eab2f222240297ca3 into a patch file.
  * [4b9f4ad4] Merge remote-tracking branch 'origin/master'

  [ Evgeni Golov ]
  * [9774c695] do not build check_varnish and check_memcached on hurd-i386
    also do not build check_memcached on arm64 and check_varnish on m68k

  [ Bernd Zeimetz ]
  * [2a2e8abe] Add closing brackets fix for check_imap_quota.
  * [244d5d31] Merge pull request #40 from evgeni/hurd
    do not build check_varnish and check_memcached on hurd-i386
  * [b032938a] Use sha1 to check check_libs upstream.

  [ Evgeni Golov ]
  * [eef97dc6] update check_rbl to 1.3.2
    this is a mere documentation update, but having the latest version is always good
  * [2049c14d] dsa-check-cert-expire: Make timers configurable (Closes: #744248)
  * [868f614a] update dsa checks
  * [cd351102] update dsa-chack-packages (Closes: #744922)
  * [8a28edeb] check_varnish: add support for varnish 4 (Closes: #745895)

  [ Bernd Zeimetz ]
  * [7d537eca] Fix plugin name generation.
  * [5a9e4201] Merge pull request #46 from evgeni/check_rbl_132
    update check_rbl to 1.3.2
  * [d9702669] Merge pull request #47 from evgeni/dsa
    update dsa checks
  * [306e2109] Merge pull request #48 from evgeni/varnish4
    check_varnish: add support for varnish 4
  * [fea80041] Merge remote-tracking branch 'github/master'

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 27 Apr 2014 11:25:11 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: extra
 Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
 Uploaders: Bernd Zeimetz <bzed@debian.org>, Jan Wagner <waja@cyconet.org>
-Build-Depends: debhelper (>= 8.0.0), python, python-debian, quilt (>= 0.46-7), autotools-dev,  autotools-dev, flex, libmemcached-dev, libvarnishapi-dev, pkg-config
-Standards-Version: 3.9.4
-Vcs-Git: git://git.debian.org/pkg-nagios/pkg-nagios-plugins-contrib
-Vcs-Browser: http://git.debian.org/?p=pkg-nagios/pkg-nagios-plugins-contrib;a=summary
+Build-Depends: debhelper (>= 8.0.0), python, python-debian, quilt (>= 0.46-7), autotools-dev, dh-autoreconf, flex, libmemcached-dev [!hurd-i386 !arm64], libvarnishapi-dev [!hurd-i386 !m68k], pkg-config
+Standards-Version: 3.9.5
+Vcs-Git: git://anonscm.debian.org/pkg-nagios/pkg-nagios-plugins-contrib
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-nagios/pkg-nagios-plugins-contrib;a=summary
 
 Package: nagios-plugins-contrib
 Architecture: any
@@ -63,7 +63,7 @@
        * Raids
      and alerts you if one of these components is faulty or operates
      outside its normal parameters.
-   * check_httpd_status (rev140): plugin checking Apache or Lighthttpd
+   * check_httpd_status (rev148): plugin checking Apache or Lighthttpd
      server-status page (using mod_status)
    * check_ipmi_sensor (3.1): IPMI Sensor Monitoring Plugin
      Plugin to monitor the hardware status (fan speed, temperaturs,
@@ -79,12 +79,12 @@
      limit.
      Hit/miss and evictions are measured over a 30 minute interval,
      using a memcached object to store the earlier statistics.
-   * check_memory (1.0): plugin to check for free memory
+   * check_memory (1.0.1): plugin to check for free memory
      This plugin excludes the system cache and buffer, because
      on some system with very stable memory usage it is perfectly
      normal for system cache to fill in all available memory.
-   * check_mongodb (b14ad3ef17): Plugin script to monitor your MongoDB server(s)
-   * check_multipath (0.1.9): plugin to monitor the number of available and
+   * check_mongodb (9d17373c6a): Plugin script to monitor your MongoDB server(s)
+   * check_multipath (0.2.0): plugin to monitor the number of available and
      failed paths of multipath devices
    * check_mysql_health (2.1.8.2): plugin to check various parameters of a
      MySQL database
@@ -92,7 +92,7 @@
    * check_printer: plugin to check printer supply levels using SNMP
      It outputs performance data for all supplies
      found, for example toner and drum.
-   * check_raid (3.0.5): plugin to check sw/hw RAID status
+   * check_raid (3.0.5+cc7d1b287b): plugin to check sw/hw RAID status
      The plugin looks for any known types of RAID configurations,
      and checks them all.
      .
@@ -133,9 +133,9 @@
      it against the local time on the Nagios server. This identifies systems
      with no correct time set and sends alarms if the time is off to far.
      HOST-RESOURCES-MIB::hrSystemDate.0 used here returns 8 or 11 byte octets.
-     SNMP translation needs to be switched off and we need to convert the
+     SNMP translation needs to be switched off and to be converted the
      received SNMP data into readable strings.
-   * check_ssl_cert (1.15.0): plugin to check the CA and validity of an
+   * check_ssl_cert (1.16.1): plugin to check the CA and validity of an
      X.509 certificate
    * check_v46 (2013-08-26T07:33:11Z): ipv4/ipv6 Nagios plugin wrapper
      Nagios plugin wrapper for running the actual plugin for both / either of
@@ -150,7 +150,7 @@
      individual system components that have HTTP interfaces
      (JSP, ASP, CGI, PHP, AJAX, Servlets, HTML Forms,
      XML/SOAP Web Services, REST, etc).
-   * check_whois (1.14): plugin to check for the expiration of a domain.
+   * check_whois (1.15): plugin to check for the expiration of a domain.
      The plugin may not yet work with all registrars, since their
      output formats differ or there is no expiration date in the
      whois output.

## nagios-plugins-contrib 11.20140704~bpo70+1

=== debian/changelog ===
nagios-plugins-contrib (11.20140704~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Jan Wagner <waja@cyconet.org>  Fri, 04 Jul 2014 13:06:33 +0200

nagios-plugins-contrib (11.20140704) unstable; urgency=medium

  [ Jan Wagner ]
  * [106aea0c] Update control file to reflect the shiped check_rbl version 1.3.2

  [ Evgeni Golov ]
  * [d654cba2] ignore locale-archive in check_libs
    thanks h01ger!
  * [4e9f28d2] revert nagios-check-libs source back to the original config path
    patch our version only once, but with the correct path
  * [607d1162] update nagios-check-libs to the latest upstream version
  * [8a40ddb2] update check_libs checksum in control
  * [9cc86dee] check_libs: add /var/lib/nginx/ to the ignorelist

  [ Bernd Zeimetz ]
  * [c712680b] Auto update of debian/copyright
  * [0ff31881] Auto update of debian/control
  * [be858113] Add percona nagios plugins.
  * [be3753f9] Suggest percona-toolkit as Suggests.
  * [09e70d62] Updaring changelog.

  [ Jan Wagner ]
  * [7e7d34f6] check_mongodb: Update to latest git version

  [ Bernd Zeimetz ]
  * [f31fc76d] Update check_mysql_health web documentation url.
  * [101305b6] Update check-multipath to 0.2.1
  * [111a0b42] Refreshing patches.
  * [30fe69ff] Auto update of debian/control

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 04 Jul 2014 11:36:51 +0200

## nagios-plugins-contrib 11.20140704

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
 Uploaders: Bernd Zeimetz <bzed@debian.org>, Jan Wagner <waja@cyconet.org>
-Build-Depends: debhelper (>= 8.0.0), python, python-debian, quilt (>= 0.46-7), autotools-dev, dh-autoreconf, flex, libmemcached-dev [!hurd-i386 !arm64], libvarnishapi-dev [!hurd-i386 !m68k], pkg-config
+Build-Depends: debhelper (>= 8.0.0), python, python-debian, quilt (>= 0.46-7), dh-autoreconf, autotools-dev, flex, libmemcached-dev [!hurd-i386 !arm64], libvarnishapi-dev [!hurd-i386 !m68k], pkg-config
 Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/pkg-nagios/pkg-nagios-plugins-contrib
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-nagios/pkg-nagios-plugins-contrib;a=summary
@@ -12,7 +12,7 @@
 Architecture: any
 Depends: ${misc:Depends}
 Recommends: ${shlibs:Depends}, ${python:Depends}, libsocket-perl, libnagios-plugin-perl, libnet-snmp-perl, whois, nagios-plugins-basic, libnet-dns-perl, libdate-manip-perl, libnagios-plugin-perl (>= 0.31), libnet-cups-perl, libio-socket-ssl-perl, libmail-imapclient-perl, libnet-smtp-tls-perl, libnet-ssleay-perl, python, liblocale-gettext-perl, liblwp-useragent-determined-perl, snmp, freeipmi-tools, libipc-run-perl, lsof, libyaml-syck-perl, python-pymongo, libdbd-mysql-perl, libreadonly-perl, libnet-snmp-perl (>= 5), libtimedate-perl, openssl, libwebinject-perl, libnet-dns-sec-perl, ruby | ruby-interpreter, ${perl:Depends}
-Suggests: backuppc, perl-doc, cciss-vol-status, mpt-status, smstools (>= 3~), expect, nagios-plugin-check-multi, moreutils
+Suggests: backuppc, perl-doc, cciss-vol-status, mpt-status, smstools (>= 3~), expect, nagios-plugin-check-multi, moreutils, percona-toolkit
 Enhances: nagios-plugins, nagios-plugins-basic, nagios-plugins-standard
 Description: Plugins for nagios compatible monitoring systems
  This package provides various plugins for Nagios compatible monitoring
@@ -83,8 +83,8 @@
      This plugin excludes the system cache and buffer, because
      on some system with very stable memory usage it is perfectly
      normal for system cache to fill in all available memory.
-   * check_mongodb (9d17373c6a): Plugin script to monitor your MongoDB server(s)
-   * check_multipath (0.2.0): plugin to monitor the number of available and
+   * check_mongodb (66c42f93cc): Plugin script to monitor your MongoDB server(s)
+   * check_multipath (0.2.1): plugin to monitor the number of available and
      failed paths of multipath devices
    * check_mysql_health (2.1.8.2): plugin to check various parameters of a
      MySQL database
@@ -117,7 +117,7 @@
      - Serveraid IPS via ipssend
      - Solaris software RAID via metastat
      - Areca SATA RAID Support via cli64/cli32
-   * check_rbl (1.3.1): plugin to check if a server is blacklisted
+   * check_rbl (1.3.2): plugin to check if a server is blacklisted
    * check_smstools: plugin to check GSM Modems using smstools
      check_smstools is a plugin to monitor a GSM modem
      signal quality and registration status with smstools.
@@ -175,6 +175,8 @@
    * extras (1): various scripts and extras
      Not a plugin, but a collection of various useful
      event/obsession handlers and similar scripts.
+   * percona-nagios-plugins (1.1.3): Percona Monitoring Plugins (nagios)
+     Nagios Mysql Monitoring plugins writting/provided by Percona.
  .
  Some scripts and binaries need more packages installed to work, which is
  implemented as recommends.

## nagios-plugins-contrib 12.20141001~bpo70+1

=== debian/changelog ===
nagios-plugins-contrib (12.20141001~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Jan Wagner <waja@cyconet.org>  Tue, 07 Oct 2014 21:21:12 +0200

nagios-plugins-contrib (12.20141001) unstable; urgency=medium

  * Fix version number.
    Unfortunately this makes an upload necessary due to
    older snapshots being in use already.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 01 Oct 2014 13:24:23 +0200

nagios-plugins-contrib (11.20141001) unstable; urgency=medium

  [ Bernd Zeimetz ]
  * [c48b2fba] Auto update of debian/control
  * [53787970] Auto update of debian/copyright
  * [54c6b89b] Add check_hp_bladechassis.
  * [779307ef] Add missing " " around a filename variable in update_checksums.
  * [a26ff221] Add check_uptime plugin.
  * [e2a97b03] Auto update of debian/control
  * [284db8fa] Auto update of debian/copyright
  * [02769ec2] Updating changelog.

  [ Jan Wagner ]
  * [a4e3d3ab] Reorder patch series

  [ Bernd Zeimetz ]
  * [a1793637] check-libs: Use lsof -nP

  [ Jan Wagner ]
  * [497cef52] monitoring-plugins is the ways to got, so we recommend/enhance it

  [ Bernd Zeimetz ]
  * [899be56b] Merge remote-tracking branch 'github/master'

  [ Jan Wagner ]
  * [6d9f7c6f] check_bgpstate: disable epn via patches/check_bgpstate/epn

  [ Bernd Zeimetz ]
  * [462d412b] Merge pull request #51 from mstock/bugfix/running-kernel-on-kfreebsd.
    Escape '+' in 'uname -v' output in freebsd_check_running_version()

  [ Jan Wagner ]
  * [482b9bfb] Merge branch 'check_httpd_status_153' into update
  * [5d8c1517] Merge branch 'check_mongodb_60b639ef4c' into update
  * [fca59f8b] Merge branch 'check_raid_32' into update
  * [d425c2d1] Merge branch 'check_zone_rrsig_expiration_111' into update
  * [14476fe2] Merge branch 'percona-nagios-plugins_114' into update
  * [277a24e1] check_raid: Raise suggest of cciss-vol-status to >= 1.10
  * [5e3d1834] check_ipmi_sensor: Update watch location
  * [c2599a4c] Updating VCS-headers
  * [2ccefe74] check_uptime: Update watch location

  [ Evgeni Golov ]
  * [2f5c758f] update check_libs homepage and watch url
  * [cd40ea09] check_libs: fix lsof output parsing for OpenVZ
    check_libs sometimes parses files incorrectly
    inside an OpenVZ container (wheezy host and guest, proxmox ve
    2.6.32 kernel):
    Running /usr/bin/lsof -F0 -n
    adding bash(28081) because of [ (deleted)/tmp/tmpfXKFYTG]:
    f1aul tREGG0x8002;0x0D0x6ds218i9441399k0n (deleted)/tmp/tmpfXKFYTG
    adding bash(28081) because of [ (deleted)/tmp/tmpfXKFYTG]:
    f2aul tREGG0x8002;0x0D0x6ds218i9441399k0n (deleted)/tmp/tmpfXKFYTG
    adding puppet(28244) because of [ (deleted)/tmp/tmpfXKFYTG]:
    f1aul tREGG0x8002;0x0D0x6ds218i9441399k0n (deleted)/tmp/tmpfXKFYTG
    adding puppet(28244) because of [ (deleted)/tmp/tmpfXKFYTG]:
    f2aul tREGG0x8002;0x0D0x6ds218i9441399k0n (deleted)/tmp/tmpfXKFYTG
    The following processes have libs linked that were upgraded: root: bash
    (28081), puppet (28244)
    So in some cases there is a space in front of "(deleted)".
    Attached is a patch that fixes this.
    Thanks to Felix Geyer <felix.geyer@credativ.de> (Closes: #760373)

  [ Bernd Zeimetz ]
  * [7dccd2a2] Merge pull request #50 from petterreinholdtsen/checks-from-sitesummary.
    Checks from sitesummary-client
  * [36c3d9a1] Revert "Add check_kernel_status module from the sitesummary-client package."
    This reverts commit b63d12999ffa00f6b1108c21fceeeae12e260c77.
    We have check_kernel for linux and kfreebsd already.
  * [99cbfb3c] Revert "Add check_cups_queue module from the sitesummary-client package."
    This reverts commit 99951c619705578470b1786999361d232fa9cba6.
    check_cups should handle these things just fine.
  * [5525ee99] Updating check_printer.
  * [4302e534] Fix version number of check_uptime.
  * [399a5a40] Updating check_rbl to 1.3.5
  * [11320c50] Update check_ipmi_sensor to 3.4
  * [d6d96ff5] Refreshing patches.
  * [f92be1cf] Auto update of debian/copyright
  * [b528bd11] Do not depend on perl-base.
  * [72597951] Auto update of debian/control

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 01 Oct 2014 13:05:16 +0200

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,17 @@
 Section: net
 Priority: extra
 Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
-Uploaders: Bernd Zeimetz <bzed@debian.org>, Jan Wagner <waja@cyconet.org>
+Uploaders: Bernd Zeimetz <bzed@debian.org>, Jan Wagner <waja@cyconet.org>, Petter Reinholdtsen <pere@hungry.com>
 Build-Depends: debhelper (>= 8.0.0), python, python-debian, quilt (>= 0.46-7), dh-autoreconf, autotools-dev, flex, libmemcached-dev [!hurd-i386 !arm64], libvarnishapi-dev [!hurd-i386 !m68k], pkg-config
 Standards-Version: 3.9.5
-Vcs-Git: git://anonscm.debian.org/pkg-nagios/pkg-nagios-plugins-contrib
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-nagios/pkg-nagios-plugins-contrib;a=summary
+Vcs-Git: git://anonscm.debian.org/pkg-nagios/pkg-nagios-plugins-contrib.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-nagios/pkg-nagios-plugins-contrib.git
 
 Package: nagios-plugins-contrib
 Architecture: any
 Depends: ${misc:Depends}
-Recommends: ${shlibs:Depends}, ${python:Depends}, libsocket-perl, libnagios-plugin-perl, libnet-snmp-perl, whois, nagios-plugins-basic, libnet-dns-perl, libdate-manip-perl, libnagios-plugin-perl (>= 0.31), libnet-cups-perl, libio-socket-ssl-perl, libmail-imapclient-perl, libnet-smtp-tls-perl, libnet-ssleay-perl, python, liblocale-gettext-perl, liblwp-useragent-determined-perl, snmp, freeipmi-tools, libipc-run-perl, lsof, libyaml-syck-perl, python-pymongo, libdbd-mysql-perl, libreadonly-perl, libnet-snmp-perl (>= 5), libtimedate-perl, openssl, libwebinject-perl, libnet-dns-sec-perl, ruby | ruby-interpreter, ${perl:Depends}
-Suggests: backuppc, perl-doc, cciss-vol-status, mpt-status, smstools (>= 3~), expect, nagios-plugin-check-multi, moreutils, percona-toolkit
+Recommends: ${shlibs:Depends}, ${python:Depends}, libsocket-perl, libnagios-plugin-perl, libnet-snmp-perl, whois, nagios-plugins-basic, libnet-dns-perl, libdate-manip-perl, libnagios-plugin-perl (>= 0.31), libnet-cups-perl, libio-socket-ssl-perl, libmail-imapclient-perl, libnet-smtp-tls-perl, libnet-ssleay-perl, python, liblocale-gettext-perl, liblwp-useragent-determined-perl, snmp, freeipmi-tools, libipc-run-perl, ldap-utils, lsof, libyaml-syck-perl, python-pymongo, libdbd-mysql-perl, libreadonly-perl, procps, libnet-snmp-perl (>= 5), libtimedate-perl, openssl, libwebinject-perl, libnet-dns-sec-perl, ruby | ruby-interpreter, ${perl:Depends}
+Suggests: backuppc, perl-doc, cciss-vol-status (>= 1.10), mpt-status, smstools (>= 3~), expect, nagios-plugin-check-multi, moreutils, percona-toolkit
 Enhances: nagios-plugins, nagios-plugins-basic, nagios-plugins-standard
 Description: Plugins for nagios compatible monitoring systems
  This package provides various plugins for Nagios compatible monitoring
@@ -49,8 +49,19 @@
        - keep an eye on email lag
        - monitor automated mailboxes
        - check email-to-FTP or other special email gateways
+   * check_etc_hosts (?): plugin to check /etc/hosts for DNS consistency
+     Check /etc/hosts, and make sure the content matches the information
+     in DNS.  Lookup IP, and check if the names listed in /etc/hosts
+     maches the one in DNS.  It will ignore entries with '# NAGIOSIGNORE'
+     at the end.
+   * check_etc_resolv: plugin to check /etc/resolv.conf
+     Check /etc/resolv.conf, and make sure the name servers listed are
+     working.  It will ignore entries with '# NAGIOSIGNORE' at the end.
    * check_graphite: Plugin to monitor graphite metrics
    * check_haproxy (rev135): plugin check the HAProxy statistics url
+   * check_hp_bladechassis (1.0.1): plugin to check the hardware health of
+     HP blade enclosures via SNMP.
+     The plugin is only tested with the c7000 enclosure.
    * check_hpasm (4.6.3.2): plugin to check the hardware health of
      HP Proliant Servers
      It either uses snmp or - if installed - the hpasm package locally.
@@ -63,11 +74,14 @@
        * Raids
      and alerts you if one of these components is faulty or operates
      outside its normal parameters.
-   * check_httpd_status (rev148): plugin checking Apache or Lighthttpd
+   * check_httpd_status (rev153): plugin checking Apache or Lighthttpd
      server-status page (using mod_status)
-   * check_ipmi_sensor (3.1): IPMI Sensor Monitoring Plugin
+   * check_ipmi_sensor (3.4): IPMI Sensor Monitoring Plugin
      Plugin to monitor the hardware status (fan speed, temperaturs,
      voltages, power usage, ...) of a server using IPMI.
+   * check_ldap_root (?): plugin to check LDAP server response
+     Make sure the LDAP server is able to respond by searching for the
+     root DSE.
    * check_libs (520): plugin to report the usage of no longer existing
      libraries by running processes
    * check_lm_sensors (3.1.1): plugin to monitor hardware sensors
@@ -83,7 +97,7 @@
      This plugin excludes the system cache and buffer, because
      on some system with very stable memory usage it is perfectly
      normal for system cache to fill in all available memory.
-   * check_mongodb (66c42f93cc): Plugin script to monitor your MongoDB server(s)
+   * check_mongodb (60b639ef4c): Plugin script to monitor your MongoDB server(s)
    * check_multipath (0.2.1): plugin to monitor the number of available and
      failed paths of multipath devices
    * check_mysql_health (2.1.8.2): plugin to check various parameters of a
@@ -92,7 +106,7 @@
    * check_printer: plugin to check printer supply levels using SNMP
      It outputs performance data for all supplies
      found, for example toner and drum.
-   * check_raid (3.0.5+cc7d1b287b): plugin to check sw/hw RAID status
+   * check_raid (3.2.0): plugin to check sw/hw RAID status
      The plugin looks for any known types of RAID configurations,
      and checks them all.
      .
@@ -117,7 +131,10 @@
      - Serveraid IPS via ipssend
      - Solaris software RAID via metastat
      - Areca SATA RAID Support via cli64/cli32
-   * check_rbl (1.3.2): plugin to check if a server is blacklisted
+   * check_rbl (1.3.5): plugin to check if a server is blacklisted
+   * check_shutdown (?): plugin to check LDAP server response
+     Make sure the LDAP server is able to respond by searching for the
+     root DSE.
    * check_smstools: plugin to check GSM Modems using smstools
      check_smstools is a plugin to monitor a GSM modem
      signal quality and registration status with smstools.
@@ -137,6 +154,11 @@
      received SNMP data into readable strings.
    * check_ssl_cert (1.16.1): plugin to check the CA and validity of an
      X.509 certificate
+   * check_uptime (0.521): check_uptime returns uptime of a system
+     in text (readable) format as well as in minutes for performance graphing.
+     The plugin can either run on a local unix system (using 'uptime' command)
+     or check remote system by SNMP. Also it is able to report one CRITICAL
+     or WARNING alert if system has been rebooted since last check.
    * check_v46 (2013-08-26T07:33:11Z): ipv4/ipv6 Nagios plugin wrapper
      Nagios plugin wrapper for running the actual plugin for both / either of
      IPv6 and/or IPv4.  The worst result of the actual plugin runs will be
@@ -156,7 +178,7 @@
      whois output.
    * check_zone_auth (1.13): plugin to ensure that the authoritative nameservers
      for a given zone remain in sync.
-   * check_zone_rrsig_expiration (1.10): plugin to check for expiration of
+   * check_zone_rrsig_expiration (1.11): plugin to check for expiration of
      signatures in dnssec-enabled zones.
    * dsa: plugins from the Debian System Administrators
      nagios plugins repository.
@@ -175,7 +197,7 @@
    * extras (1): various scripts and extras
      Not a plugin, but a collection of various useful
      event/obsession handlers and similar scripts.
-   * percona-nagios-plugins (1.1.3): Percona Monitoring Plugins (nagios)
+   * percona-nagios-plugins (1.1.4): Percona Monitoring Plugins (nagios)
      Nagios Mysql Monitoring plugins writting/provided by Percona.
  .
  Some scripts and binaries need more packages installed to work, which is

## nagios-plugins-contrib 14.20141104~bpo70+1

=== debian/changelog ===
nagios-plugins-contrib (14.20141104~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Evgeni Golov <evgeni@debian.org>  Mon, 10 Nov 2014 20:52:53 +0100

nagios-plugins-contrib (14.20141104) unstable; urgency=medium

  [ Jan Wagner ]
  * [0b3a2c4] check_email_delivery: Adding libnet-smtp-ssl-perl to Recommends
  * [7c8eeb2] check_running_kernel: Add binutils to Recommends

  [ Evgeni Golov ]
  * [4df550b] check_ipmi_sensor: update to v3.5.
    Thanks to Werner Fischer <debian-bugs@wefi.net> (Closes: #768018)

 -- Evgeni Golov <evgeni@debian.org>  Tue, 04 Nov 2014 15:03:27 +0100

nagios-plugins-contrib (13.20141017~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Jan Wagner <waja@cyconet.org>  Fri, 17 Oct 2014 23:28:40 +0200

nagios-plugins-contrib (13.20141017) unstable; urgency=medium

  * [87b2651] check_rbl: Adding libdata-validate-domain-perl,
    libdata-validate-ip-perl to Recommends as needed for new upstream
  * [e6dab92] check_raid: Update to 3.2.1
  * [486d2f0] check_raid: Updating to latest git master to fix several bugs
  * [7fdccac] check_raid: Updating to latest git master to fix with arcconf
  * [c0b9c82] Bump Standards-Version to 3.9.6, no changes needed
  * [fb6090a] percona-nagios-plugins: Fix typo in package description
  * [e8aa125] percona-nagios-plugins: Fixing FSF address
  * [f5d63e9] check_update: Fixing FSF address

 -- Jan Wagner <waja@cyconet.org>  Fri, 17 Oct 2014 16:14:40 +0200
